<?php
session_start(); // Initialize Session data
ob_start(); // Turn on output buffering
?>
<?php include "ewcfg7.php" ?>
<?php include "ewmysql7.php" ?>
<?php include "phpfn7.php" ?>
<?php include "tbl_allphotoinfo.php" ?>
<?php include "tbl_admininfo.php" ?>
<?php include "tbl_hotelinfo.php" ?>
<?php include "tbl_tourinfo.php" ?>
<?php include "tbl_travelinfo.php" ?>
<?php include "userfn7.php" ?>
<?php
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT"); // Date in the past
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT"); // Always modified
header("Cache-Control: private, no-store, no-cache, must-revalidate"); // HTTP/1.1 
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache"); // HTTP/1.0
?>
<?php

// Create page object
$tbl_allphoto_add = new ctbl_allphoto_add();
$Page =& $tbl_allphoto_add;

// Page init
$tbl_allphoto_add->Page_Init();

// Page main
$tbl_allphoto_add->Page_Main();
?>
<?php include "header.php" ?>
<script type="text/javascript">
<!--

// Create page object
var tbl_allphoto_add = new ew_Page("tbl_allphoto_add");

// page properties
tbl_allphoto_add.PageID = "add"; // page ID
tbl_allphoto_add.FormID = "ftbl_allphotoadd"; // form ID
var EW_PAGE_ID = tbl_allphoto_add.PageID; // for backward compatibility

// extend page with ValidateForm function
tbl_allphoto_add.ValidateForm = function(fobj) {
	ew_PostAutoSuggest(fobj);
	if (!this.ValidateRequired)
		return true; // ignore validation
	if (fobj.a_confirm && fobj.a_confirm.value == "F")
		return true;
	var i, elm, aelm, infix;
	var rowcnt = (fobj.key_count) ? Number(fobj.key_count.value) : 1;
	for (i=0; i<rowcnt; i++) {
		infix = (fobj.key_count) ? String(i+1) : "";
		elm = fobj.elements["x" + infix + "_hotel_id"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, ewLanguage.Phrase("EnterRequiredField") + " - <?php echo ew_JsEncode2($tbl_allphoto->hotel_id->FldCaption()) ?>");
		elm = fobj.elements["x" + infix + "_tour_id"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, ewLanguage.Phrase("EnterRequiredField") + " - <?php echo ew_JsEncode2($tbl_allphoto->tour_id->FldCaption()) ?>");
		elm = fobj.elements["x" + infix + "_travel_id"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, ewLanguage.Phrase("EnterRequiredField") + " - <?php echo ew_JsEncode2($tbl_allphoto->travel_id->FldCaption()) ?>");
		elm = fobj.elements["x" + infix + "_photo"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, ewLanguage.Phrase("EnterRequiredField") + " - <?php echo ew_JsEncode2($tbl_allphoto->photo->FldCaption()) ?>");
		elm = fobj.elements["x" + infix + "_photo_thum"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, ewLanguage.Phrase("EnterRequiredField") + " - <?php echo ew_JsEncode2($tbl_allphoto->photo_thum->FldCaption()) ?>");
		elm = fobj.elements["x" + infix + "_order_by"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, ewLanguage.Phrase("EnterRequiredField") + " - <?php echo ew_JsEncode2($tbl_allphoto->order_by->FldCaption()) ?>");
		elm = fobj.elements["x" + infix + "_order_by"];
		if (elm && !ew_CheckInteger(elm.value))
			return ew_OnError(this, elm, "<?php echo ew_JsEncode2($tbl_allphoto->order_by->FldErrMsg()) ?>");

		// Call Form Custom Validate event
		if (!this.Form_CustomValidate(fobj)) return false;
	}
	return true;
}

// extend page with Form_CustomValidate function
tbl_allphoto_add.Form_CustomValidate =  
 function(fobj) { // DO NOT CHANGE THIS LINE!

 	// Your custom validation code here, return false if invalid. 
 	return true;
 }
<?php if (EW_CLIENT_VALIDATE) { ?>
tbl_allphoto_add.ValidateRequired = true; // uses JavaScript validation
<?php } else { ?>
tbl_allphoto_add.ValidateRequired = false; // no JavaScript validation
<?php } ?>

//-->
</script>
<script type="text/javascript">
<!--
var ew_DHTMLEditors = [];

//-->
</script>
<script language="JavaScript" type="text/javascript">
<!--

// Write your client script here, no need to add script tags.
// To include another .js script, use:
// ew_ClientScriptInclude("my_javascript.js"); 
//-->

</script>
<p><span class="phpmaker"><?php echo $Language->Phrase("Add") ?>&nbsp;<?php echo $Language->Phrase("TblTypeTABLE") ?><?php echo $tbl_allphoto->TableCaption() ?><br><br>
<a href="<?php echo $tbl_allphoto->getReturnUrl() ?>"><?php echo $Language->Phrase("GoBack") ?></a></span></p>
<?php
if (EW_DEBUG_ENABLED)
	echo ew_DebugMsg();
$tbl_allphoto_add->ShowMessage();
?>
<form name="ftbl_allphotoadd" id="ftbl_allphotoadd" action="<?php echo ew_CurrentPage() ?>" method="post" onsubmit="return tbl_allphoto_add.ValidateForm(this);">
<p>
<input type="hidden" name="t" id="t" value="tbl_allphoto">
<input type="hidden" name="a_add" id="a_add" value="A">
<table cellspacing="0" class="ewGrid"><tr><td class="ewGridContent">
<div class="ewGridMiddlePanel">
<table cellspacing="0" class="ewTable">
<?php if ($tbl_allphoto->hotel_id->Visible) { // hotel_id ?>
	<tr<?php echo $tbl_allphoto->RowAttributes() ?>>
		<td class="ewTableHeader"><?php echo $tbl_allphoto->hotel_id->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></td>
		<td<?php echo $tbl_allphoto->hotel_id->CellAttributes() ?>><span id="el_hotel_id">
<?php if ($tbl_allphoto->hotel_id->getSessionValue() <> "") { ?>
<div<?php echo $tbl_allphoto->hotel_id->ViewAttributes() ?>><?php echo $tbl_allphoto->hotel_id->ViewValue ?></div>
<input type="hidden" id="x_hotel_id" name="x_hotel_id" value="<?php echo ew_HtmlEncode($tbl_allphoto->hotel_id->CurrentValue) ?>">
<?php } else { ?>
<select id="x_hotel_id" name="x_hotel_id" title="<?php echo $tbl_allphoto->hotel_id->FldTitle() ?>"<?php echo $tbl_allphoto->hotel_id->EditAttributes() ?>>
<?php
if (is_array($tbl_allphoto->hotel_id->EditValue)) {
	$arwrk = $tbl_allphoto->hotel_id->EditValue;
	$rowswrk = count($arwrk);
	$emptywrk = TRUE;
	for ($rowcntwrk = 0; $rowcntwrk < $rowswrk; $rowcntwrk++) {
		$selwrk = (strval($tbl_allphoto->hotel_id->CurrentValue) == strval($arwrk[$rowcntwrk][0])) ? " selected=\"selected\"" : "";
		if ($selwrk <> "") $emptywrk = FALSE;
?>
<option value="<?php echo ew_HtmlEncode($arwrk[$rowcntwrk][0]) ?>"<?php echo $selwrk ?>>
<?php echo $arwrk[$rowcntwrk][1] ?>
</option>
<?php
	}
}
?>
</select>
<?php
$sSqlWrk = "SELECT `hotel_id`, `hotel_name`, '' AS Disp2Fld FROM `tbl_hotel`";
$sWhereWrk = "";
if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
$sSqlWrk = TEAencrypt($sSqlWrk, EW_RANDOM_KEY);
?>
<input type="hidden" name="s_x_hotel_id" id="s_x_hotel_id" value="<?php echo $sSqlWrk; ?>">
<input type="hidden" name="lft_x_hotel_id" id="lft_x_hotel_id" value="">
<?php } ?>
</span><?php echo $tbl_allphoto->hotel_id->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tbl_allphoto->tour_id->Visible) { // tour_id ?>
	<tr<?php echo $tbl_allphoto->RowAttributes() ?>>
		<td class="ewTableHeader"><?php echo $tbl_allphoto->tour_id->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></td>
		<td<?php echo $tbl_allphoto->tour_id->CellAttributes() ?>><span id="el_tour_id">
<?php if ($tbl_allphoto->tour_id->getSessionValue() <> "") { ?>
<div<?php echo $tbl_allphoto->tour_id->ViewAttributes() ?>><?php echo $tbl_allphoto->tour_id->ViewValue ?></div>
<input type="hidden" id="x_tour_id" name="x_tour_id" value="<?php echo ew_HtmlEncode($tbl_allphoto->tour_id->CurrentValue) ?>">
<?php } else { ?>
<select id="x_tour_id" name="x_tour_id" title="<?php echo $tbl_allphoto->tour_id->FldTitle() ?>"<?php echo $tbl_allphoto->tour_id->EditAttributes() ?>>
<?php
if (is_array($tbl_allphoto->tour_id->EditValue)) {
	$arwrk = $tbl_allphoto->tour_id->EditValue;
	$rowswrk = count($arwrk);
	$emptywrk = TRUE;
	for ($rowcntwrk = 0; $rowcntwrk < $rowswrk; $rowcntwrk++) {
		$selwrk = (strval($tbl_allphoto->tour_id->CurrentValue) == strval($arwrk[$rowcntwrk][0])) ? " selected=\"selected\"" : "";
		if ($selwrk <> "") $emptywrk = FALSE;
?>
<option value="<?php echo ew_HtmlEncode($arwrk[$rowcntwrk][0]) ?>"<?php echo $selwrk ?>>
<?php echo $arwrk[$rowcntwrk][1] ?>
</option>
<?php
	}
}
?>
</select>
<?php
$sSqlWrk = "SELECT `tour_id`, `tour_name`, '' AS Disp2Fld FROM `tbl_tour`";
$sWhereWrk = "";
if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
$sSqlWrk = TEAencrypt($sSqlWrk, EW_RANDOM_KEY);
?>
<input type="hidden" name="s_x_tour_id" id="s_x_tour_id" value="<?php echo $sSqlWrk; ?>">
<input type="hidden" name="lft_x_tour_id" id="lft_x_tour_id" value="">
<?php } ?>
</span><?php echo $tbl_allphoto->tour_id->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tbl_allphoto->travel_id->Visible) { // travel_id ?>
	<tr<?php echo $tbl_allphoto->RowAttributes() ?>>
		<td class="ewTableHeader"><?php echo $tbl_allphoto->travel_id->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></td>
		<td<?php echo $tbl_allphoto->travel_id->CellAttributes() ?>><span id="el_travel_id">
<select id="x_travel_id" name="x_travel_id" title="<?php echo $tbl_allphoto->travel_id->FldTitle() ?>"<?php echo $tbl_allphoto->travel_id->EditAttributes() ?>>
<?php
if (is_array($tbl_allphoto->travel_id->EditValue)) {
	$arwrk = $tbl_allphoto->travel_id->EditValue;
	$rowswrk = count($arwrk);
	$emptywrk = TRUE;
	for ($rowcntwrk = 0; $rowcntwrk < $rowswrk; $rowcntwrk++) {
		$selwrk = (strval($tbl_allphoto->travel_id->CurrentValue) == strval($arwrk[$rowcntwrk][0])) ? " selected=\"selected\"" : "";
		if ($selwrk <> "") $emptywrk = FALSE;
?>
<option value="<?php echo ew_HtmlEncode($arwrk[$rowcntwrk][0]) ?>"<?php echo $selwrk ?>>
<?php echo $arwrk[$rowcntwrk][1] ?>
</option>
<?php
	}
}
?>
</select>
<?php
$sSqlWrk = "SELECT `travel_id`, `category`, '' AS Disp2Fld FROM `tbl_travel`";
$sWhereWrk = "";
if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
$sSqlWrk = TEAencrypt($sSqlWrk, EW_RANDOM_KEY);
?>
<input type="hidden" name="s_x_travel_id" id="s_x_travel_id" value="<?php echo $sSqlWrk; ?>">
<input type="hidden" name="lft_x_travel_id" id="lft_x_travel_id" value="">
</span><?php echo $tbl_allphoto->travel_id->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tbl_allphoto->photo->Visible) { // photo ?>
	<tr<?php echo $tbl_allphoto->RowAttributes() ?>>
		<td class="ewTableHeader"><?php echo $tbl_allphoto->photo->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></td>
		<td<?php echo $tbl_allphoto->photo->CellAttributes() ?>><span id="el_photo">
<input type="text" name="x_photo" id="x_photo" title="<?php echo $tbl_allphoto->photo->FldTitle() ?>" size="30" maxlength="200" value="<?php echo $tbl_allphoto->photo->EditValue ?>"<?php echo $tbl_allphoto->photo->EditAttributes() ?>>
</span><?php echo $tbl_allphoto->photo->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tbl_allphoto->photo_thum->Visible) { // photo_thum ?>
	<tr<?php echo $tbl_allphoto->RowAttributes() ?>>
		<td class="ewTableHeader"><?php echo $tbl_allphoto->photo_thum->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></td>
		<td<?php echo $tbl_allphoto->photo_thum->CellAttributes() ?>><span id="el_photo_thum">
<input type="text" name="x_photo_thum" id="x_photo_thum" title="<?php echo $tbl_allphoto->photo_thum->FldTitle() ?>" size="30" maxlength="200" value="<?php echo $tbl_allphoto->photo_thum->EditValue ?>"<?php echo $tbl_allphoto->photo_thum->EditAttributes() ?>>
</span><?php echo $tbl_allphoto->photo_thum->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tbl_allphoto->order_by->Visible) { // order_by ?>
	<tr<?php echo $tbl_allphoto->RowAttributes() ?>>
		<td class="ewTableHeader"><?php echo $tbl_allphoto->order_by->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></td>
		<td<?php echo $tbl_allphoto->order_by->CellAttributes() ?>><span id="el_order_by">
<input type="text" name="x_order_by" id="x_order_by" title="<?php echo $tbl_allphoto->order_by->FldTitle() ?>" size="30" value="<?php echo $tbl_allphoto->order_by->EditValue ?>"<?php echo $tbl_allphoto->order_by->EditAttributes() ?>>
</span><?php echo $tbl_allphoto->order_by->CustomMsg ?></td>
	</tr>
<?php } ?>
</table>
</div>
</td></tr></table>
<p>
<input type="submit" name="btnAction" id="btnAction" value="<?php echo ew_BtnCaption($Language->Phrase("AddBtn")) ?>">
</form>
<script language="JavaScript" type="text/javascript">
<!--
ew_UpdateOpts([['x_hotel_id','x_hotel_id',false],
['x_tour_id','x_tour_id',false],
['x_travel_id','x_travel_id',false]]);

//-->
</script>
<script language="JavaScript" type="text/javascript">
<!--

// Write your table-specific startup script here
// document.write("page loaded");
//-->

</script>
<?php include "footer.php" ?>
<?php
$tbl_allphoto_add->Page_Terminate();
?>
<?php

//
// Page class
//
class ctbl_allphoto_add {

	// Page ID
	var $PageID = 'add';

	// Table name
	var $TableName = 'tbl_allphoto';

	// Page object name
	var $PageObjName = 'tbl_allphoto_add';

	// Page name
	function PageName() {
		return ew_CurrentPage();
	}

	// Page URL
	function PageUrl() {
		$PageUrl = ew_CurrentPage() . "?";
		global $tbl_allphoto;
		if ($tbl_allphoto->UseTokenInUrl) $PageUrl .= "t=" . $tbl_allphoto->TableVar . "&"; // Add page token
		return $PageUrl;
	}

	// Page URLs
	var $AddUrl;
	var $EditUrl;
	var $CopyUrl;
	var $DeleteUrl;
	var $ViewUrl;
	var $ListUrl;

	// Export URLs
	var $ExportPrintUrl;
	var $ExportHtmlUrl;
	var $ExportExcelUrl;
	var $ExportWordUrl;
	var $ExportXmlUrl;
	var $ExportCsvUrl;

	// Update URLs
	var $InlineAddUrl;
	var $InlineCopyUrl;
	var $InlineEditUrl;
	var $GridAddUrl;
	var $GridEditUrl;
	var $MultiDeleteUrl;
	var $MultiUpdateUrl;

	// Message
	function getMessage() {
		return @$_SESSION[EW_SESSION_MESSAGE];
	}

	function setMessage($v) {
		if (@$_SESSION[EW_SESSION_MESSAGE] <> "") { // Append
			$_SESSION[EW_SESSION_MESSAGE] .= "<br>" . $v;
		} else {
			$_SESSION[EW_SESSION_MESSAGE] = $v;
		}
	}

	// Show message
	function ShowMessage() {
		$sMessage = $this->getMessage();
		$this->Message_Showing($sMessage);
		if ($sMessage <> "") { // Message in Session, display
			echo "<p><span class=\"ewMessage\">" . $sMessage . "</span></p>";
			$_SESSION[EW_SESSION_MESSAGE] = ""; // Clear message in Session
		}
	}

	// Validate page request
	function IsPageRequest() {
		global $objForm, $tbl_allphoto;
		if ($tbl_allphoto->UseTokenInUrl) {
			if ($objForm)
				return ($tbl_allphoto->TableVar == $objForm->GetValue("t"));
			if (@$_GET["t"] <> "")
				return ($tbl_allphoto->TableVar == $_GET["t"]);
		} else {
			return TRUE;
		}
	}

	//
	// Page class constructor
	//
	function ctbl_allphoto_add() {
		global $conn, $Language;

		// Language object
		$Language = new cLanguage();

		// Table object (tbl_allphoto)
		$GLOBALS["tbl_allphoto"] = new ctbl_allphoto();

		// Table object (tbl_admin)
		$GLOBALS['tbl_admin'] = new ctbl_admin();

		// Table object (tbl_hotel)
		$GLOBALS['tbl_hotel'] = new ctbl_hotel();

		// Table object (tbl_tour)
		$GLOBALS['tbl_tour'] = new ctbl_tour();

		// Table object (tbl_travel)
		$GLOBALS['tbl_travel'] = new ctbl_travel();

		// Page ID
		if (!defined("EW_PAGE_ID"))
			define("EW_PAGE_ID", 'add', TRUE);

		// Table name (for backward compatibility)
		if (!defined("EW_TABLE_NAME"))
			define("EW_TABLE_NAME", 'tbl_allphoto', TRUE);

		// Start timer
		$GLOBALS["gsTimer"] = new cTimer();

		// Open connection
		$conn = ew_Connect();
	}

	// 
	//  Page_Init
	//
	function Page_Init() {
		global $gsExport, $gsExportFile, $UserProfile, $Language, $Security, $objForm;
		global $tbl_allphoto;

		// Security
		$Security = new cAdvancedSecurity();
		if (!$Security->IsLoggedIn()) $Security->AutoLogin();
		if (!$Security->IsLoggedIn()) {
			$Security->SaveLastUrl();
			$this->Page_Terminate("login.php");
		}

		// Create form object
		$objForm = new cFormObj();

		// Global Page Loading event (in userfn*.php)
		Page_Loading();

		// Page Load event
		$this->Page_Load();
	}

	//
	// Page_Terminate
	//
	function Page_Terminate($url = "") {
		global $conn;

		// Page Unload event
		$this->Page_Unload();

		// Global Page Unloaded event (in userfn*.php)
		Page_Unloaded();

		 // Close connection
		$conn->Close();

		// Go to URL if specified
		$this->Page_Redirecting($url);
		if ($url <> "") {
			if (!EW_DEBUG_ENABLED && ob_get_length())
				ob_end_clean();
			header("Location: " . $url);
		}
		exit();
	}
	var $sDbMasterFilter = "";
	var $sDbDetailFilter = "";
	var $lPriv = 0;

	// 
	// Page main
	//
	function Page_Main() {
		global $objForm, $Language, $gsFormError, $tbl_allphoto;

		// Load key values from QueryString
		$bCopy = TRUE;
		if (@$_GET["all_id"] != "") {
		  $tbl_allphoto->all_id->setQueryStringValue($_GET["all_id"]);
		} else {
		  $bCopy = FALSE;
		}

		// Set up master/detail parameters
		$this->SetUpMasterDetail();

		// Process form if post back
		if (@$_POST["a_add"] <> "") {
		   $tbl_allphoto->CurrentAction = $_POST["a_add"]; // Get form action
		  $this->LoadFormValues(); // Load form values

			// Validate form
			if (!$this->ValidateForm()) {
				$tbl_allphoto->CurrentAction = "I"; // Form error, reset action
				$this->setMessage($gsFormError);
			}
		} else { // Not post back
		  if ($bCopy) {
		    $tbl_allphoto->CurrentAction = "C"; // Copy record
		  } else {
		    $tbl_allphoto->CurrentAction = "I"; // Display blank record
		    $this->LoadDefaultValues(); // Load default values
		  }
		}

		// Perform action based on action code
		switch ($tbl_allphoto->CurrentAction) {
		  case "I": // Blank record, no action required
				break;
		  case "C": // Copy an existing record
		   if (!$this->LoadRow()) { // Load record based on key
		      $this->setMessage($Language->Phrase("NoRecord")); // No record found
		      $this->Page_Terminate("tbl_allphotolist.php"); // No matching record, return to list
		    }
				break;
		  case "A": // ' Add new record
				$tbl_allphoto->SendEmail = TRUE; // Send email on add success
		    if ($this->AddRow()) { // Add successful
		      $this->setMessage($Language->Phrase("AddSuccess")); // Set up success message
					$sReturnUrl = $tbl_allphoto->getReturnUrl();
					$this->Page_Terminate($sReturnUrl); // Clean up and return
		    } else {
		      $this->RestoreFormValues(); // Add failed, restore form values
		    }
		}

		// Render row based on row type
		$tbl_allphoto->RowType = EW_ROWTYPE_ADD;  // Render add type

		// Render row
		$this->RenderRow();
	}

	// Get upload files
	function GetUploadFiles() {
		global $objForm, $tbl_allphoto;

		// Get upload data
	}

	// Load default values
	function LoadDefaultValues() {
		global $tbl_allphoto;
	}

	// Load form values
	function LoadFormValues() {

		// Load from form
		global $objForm, $tbl_allphoto;
		$tbl_allphoto->hotel_id->setFormValue($objForm->GetValue("x_hotel_id"));
		$tbl_allphoto->tour_id->setFormValue($objForm->GetValue("x_tour_id"));
		$tbl_allphoto->travel_id->setFormValue($objForm->GetValue("x_travel_id"));
		$tbl_allphoto->photo->setFormValue($objForm->GetValue("x_photo"));
		$tbl_allphoto->photo_thum->setFormValue($objForm->GetValue("x_photo_thum"));
		$tbl_allphoto->order_by->setFormValue($objForm->GetValue("x_order_by"));
		$tbl_allphoto->all_id->setFormValue($objForm->GetValue("x_all_id"));
	}

	// Restore form values
	function RestoreFormValues() {
		global $objForm, $tbl_allphoto;
		$tbl_allphoto->all_id->CurrentValue = $tbl_allphoto->all_id->FormValue;
		$tbl_allphoto->hotel_id->CurrentValue = $tbl_allphoto->hotel_id->FormValue;
		$tbl_allphoto->tour_id->CurrentValue = $tbl_allphoto->tour_id->FormValue;
		$tbl_allphoto->travel_id->CurrentValue = $tbl_allphoto->travel_id->FormValue;
		$tbl_allphoto->photo->CurrentValue = $tbl_allphoto->photo->FormValue;
		$tbl_allphoto->photo_thum->CurrentValue = $tbl_allphoto->photo_thum->FormValue;
		$tbl_allphoto->order_by->CurrentValue = $tbl_allphoto->order_by->FormValue;
	}

	// Load row based on key values
	function LoadRow() {
		global $conn, $Security, $tbl_allphoto;
		$sFilter = $tbl_allphoto->KeyFilter();

		// Call Row Selecting event
		$tbl_allphoto->Row_Selecting($sFilter);

		// Load SQL based on filter
		$tbl_allphoto->CurrentFilter = $sFilter;
		$sSql = $tbl_allphoto->SQL();
		$res = FALSE;
		$rs = ew_LoadRecordset($sSql);
		if ($rs && !$rs->EOF) {
			$res = TRUE;
			$this->LoadRowValues($rs); // Load row values

			// Call Row Selected event
			$tbl_allphoto->Row_Selected($rs);
			$rs->Close();
		}
		return $res;
	}

	// Load row values from recordset
	function LoadRowValues(&$rs) {
		global $conn, $tbl_allphoto;
		$tbl_allphoto->all_id->setDbValue($rs->fields('all_id'));
		$tbl_allphoto->hotel_id->setDbValue($rs->fields('hotel_id'));
		$tbl_allphoto->tour_id->setDbValue($rs->fields('tour_id'));
		$tbl_allphoto->travel_id->setDbValue($rs->fields('travel_id'));
		$tbl_allphoto->photo->setDbValue($rs->fields('photo'));
		$tbl_allphoto->photo_thum->setDbValue($rs->fields('photo_thum'));
		$tbl_allphoto->order_by->setDbValue($rs->fields('order_by'));
	}

	// Render row values based on field settings
	function RenderRow() {
		global $conn, $Security, $Language, $tbl_allphoto;

		// Initialize URLs
		// Call Row_Rendering event

		$tbl_allphoto->Row_Rendering();

		// Common render codes for all row types
		// hotel_id

		$tbl_allphoto->hotel_id->CellCssStyle = ""; $tbl_allphoto->hotel_id->CellCssClass = "";
		$tbl_allphoto->hotel_id->CellAttrs = array(); $tbl_allphoto->hotel_id->ViewAttrs = array(); $tbl_allphoto->hotel_id->EditAttrs = array();

		// tour_id
		$tbl_allphoto->tour_id->CellCssStyle = ""; $tbl_allphoto->tour_id->CellCssClass = "";
		$tbl_allphoto->tour_id->CellAttrs = array(); $tbl_allphoto->tour_id->ViewAttrs = array(); $tbl_allphoto->tour_id->EditAttrs = array();

		// travel_id
		$tbl_allphoto->travel_id->CellCssStyle = ""; $tbl_allphoto->travel_id->CellCssClass = "";
		$tbl_allphoto->travel_id->CellAttrs = array(); $tbl_allphoto->travel_id->ViewAttrs = array(); $tbl_allphoto->travel_id->EditAttrs = array();

		// photo
		$tbl_allphoto->photo->CellCssStyle = ""; $tbl_allphoto->photo->CellCssClass = "";
		$tbl_allphoto->photo->CellAttrs = array(); $tbl_allphoto->photo->ViewAttrs = array(); $tbl_allphoto->photo->EditAttrs = array();

		// photo_thum
		$tbl_allphoto->photo_thum->CellCssStyle = ""; $tbl_allphoto->photo_thum->CellCssClass = "";
		$tbl_allphoto->photo_thum->CellAttrs = array(); $tbl_allphoto->photo_thum->ViewAttrs = array(); $tbl_allphoto->photo_thum->EditAttrs = array();

		// order_by
		$tbl_allphoto->order_by->CellCssStyle = ""; $tbl_allphoto->order_by->CellCssClass = "";
		$tbl_allphoto->order_by->CellAttrs = array(); $tbl_allphoto->order_by->ViewAttrs = array(); $tbl_allphoto->order_by->EditAttrs = array();
		if ($tbl_allphoto->RowType == EW_ROWTYPE_VIEW) { // View row

			// all_id
			$tbl_allphoto->all_id->ViewValue = $tbl_allphoto->all_id->CurrentValue;
			$tbl_allphoto->all_id->CssStyle = "";
			$tbl_allphoto->all_id->CssClass = "";
			$tbl_allphoto->all_id->ViewCustomAttributes = "";

			// hotel_id
			if (strval($tbl_allphoto->hotel_id->CurrentValue) <> "") {
				$sFilterWrk = "`hotel_id` = " . ew_AdjustSql($tbl_allphoto->hotel_id->CurrentValue) . "";
			$sSqlWrk = "SELECT `hotel_name` FROM `tbl_hotel`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				if ($sWhereWrk <> "") $sWhereWrk .= " AND ";
				$sWhereWrk .= "(" . $sFilterWrk . ")";
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
				$rswrk = $conn->Execute($sSqlWrk);
				if ($rswrk && !$rswrk->EOF) { // Lookup values found
					$tbl_allphoto->hotel_id->ViewValue = $rswrk->fields('hotel_name');
					$rswrk->Close();
				} else {
					$tbl_allphoto->hotel_id->ViewValue = $tbl_allphoto->hotel_id->CurrentValue;
				}
			} else {
				$tbl_allphoto->hotel_id->ViewValue = NULL;
			}
			$tbl_allphoto->hotel_id->CssStyle = "";
			$tbl_allphoto->hotel_id->CssClass = "";
			$tbl_allphoto->hotel_id->ViewCustomAttributes = "";

			// tour_id
			if (strval($tbl_allphoto->tour_id->CurrentValue) <> "") {
				$sFilterWrk = "`tour_id` = " . ew_AdjustSql($tbl_allphoto->tour_id->CurrentValue) . "";
			$sSqlWrk = "SELECT `tour_name` FROM `tbl_tour`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				if ($sWhereWrk <> "") $sWhereWrk .= " AND ";
				$sWhereWrk .= "(" . $sFilterWrk . ")";
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
				$rswrk = $conn->Execute($sSqlWrk);
				if ($rswrk && !$rswrk->EOF) { // Lookup values found
					$tbl_allphoto->tour_id->ViewValue = $rswrk->fields('tour_name');
					$rswrk->Close();
				} else {
					$tbl_allphoto->tour_id->ViewValue = $tbl_allphoto->tour_id->CurrentValue;
				}
			} else {
				$tbl_allphoto->tour_id->ViewValue = NULL;
			}
			$tbl_allphoto->tour_id->CssStyle = "";
			$tbl_allphoto->tour_id->CssClass = "";
			$tbl_allphoto->tour_id->ViewCustomAttributes = "";

			// travel_id
			if (strval($tbl_allphoto->travel_id->CurrentValue) <> "") {
				$sFilterWrk = "`travel_id` = " . ew_AdjustSql($tbl_allphoto->travel_id->CurrentValue) . "";
			$sSqlWrk = "SELECT `category` FROM `tbl_travel`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				if ($sWhereWrk <> "") $sWhereWrk .= " AND ";
				$sWhereWrk .= "(" . $sFilterWrk . ")";
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
				$rswrk = $conn->Execute($sSqlWrk);
				if ($rswrk && !$rswrk->EOF) { // Lookup values found
					$tbl_allphoto->travel_id->ViewValue = $rswrk->fields('category');
					$rswrk->Close();
				} else {
					$tbl_allphoto->travel_id->ViewValue = $tbl_allphoto->travel_id->CurrentValue;
				}
			} else {
				$tbl_allphoto->travel_id->ViewValue = NULL;
			}
			$tbl_allphoto->travel_id->CssStyle = "";
			$tbl_allphoto->travel_id->CssClass = "";
			$tbl_allphoto->travel_id->ViewCustomAttributes = "";

			// photo
			$tbl_allphoto->photo->ViewValue = $tbl_allphoto->photo->CurrentValue;
			$tbl_allphoto->photo->CssStyle = "";
			$tbl_allphoto->photo->CssClass = "";
			$tbl_allphoto->photo->ViewCustomAttributes = "";

			// photo_thum
			$tbl_allphoto->photo_thum->ViewValue = $tbl_allphoto->photo_thum->CurrentValue;
			$tbl_allphoto->photo_thum->CssStyle = "";
			$tbl_allphoto->photo_thum->CssClass = "";
			$tbl_allphoto->photo_thum->ViewCustomAttributes = "";

			// order_by
			$tbl_allphoto->order_by->ViewValue = $tbl_allphoto->order_by->CurrentValue;
			$tbl_allphoto->order_by->CssStyle = "";
			$tbl_allphoto->order_by->CssClass = "";
			$tbl_allphoto->order_by->ViewCustomAttributes = "";

			// hotel_id
			$tbl_allphoto->hotel_id->HrefValue = "";
			$tbl_allphoto->hotel_id->TooltipValue = "";

			// tour_id
			$tbl_allphoto->tour_id->HrefValue = "";
			$tbl_allphoto->tour_id->TooltipValue = "";

			// travel_id
			$tbl_allphoto->travel_id->HrefValue = "";
			$tbl_allphoto->travel_id->TooltipValue = "";

			// photo
			$tbl_allphoto->photo->HrefValue = "";
			$tbl_allphoto->photo->TooltipValue = "";

			// photo_thum
			$tbl_allphoto->photo_thum->HrefValue = "";
			$tbl_allphoto->photo_thum->TooltipValue = "";

			// order_by
			$tbl_allphoto->order_by->HrefValue = "";
			$tbl_allphoto->order_by->TooltipValue = "";
		} elseif ($tbl_allphoto->RowType == EW_ROWTYPE_ADD) { // Add row

			// hotel_id
			$tbl_allphoto->hotel_id->EditCustomAttributes = "";
			if ($tbl_allphoto->hotel_id->getSessionValue() <> "") {
				$tbl_allphoto->hotel_id->CurrentValue = $tbl_allphoto->hotel_id->getSessionValue();
			if (strval($tbl_allphoto->hotel_id->CurrentValue) <> "") {
				$sFilterWrk = "`hotel_id` = " . ew_AdjustSql($tbl_allphoto->hotel_id->CurrentValue) . "";
			$sSqlWrk = "SELECT `hotel_name` FROM `tbl_hotel`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				if ($sWhereWrk <> "") $sWhereWrk .= " AND ";
				$sWhereWrk .= "(" . $sFilterWrk . ")";
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
				$rswrk = $conn->Execute($sSqlWrk);
				if ($rswrk && !$rswrk->EOF) { // Lookup values found
					$tbl_allphoto->hotel_id->ViewValue = $rswrk->fields('hotel_name');
					$rswrk->Close();
				} else {
					$tbl_allphoto->hotel_id->ViewValue = $tbl_allphoto->hotel_id->CurrentValue;
				}
			} else {
				$tbl_allphoto->hotel_id->ViewValue = NULL;
			}
			$tbl_allphoto->hotel_id->CssStyle = "";
			$tbl_allphoto->hotel_id->CssClass = "";
			$tbl_allphoto->hotel_id->ViewCustomAttributes = "";
			} else {
			if (trim(strval($tbl_allphoto->hotel_id->CurrentValue)) == "") {
				$sFilterWrk = "0=1";
			} else {
				$sFilterWrk = "`hotel_id` = " . ew_AdjustSql($tbl_allphoto->hotel_id->CurrentValue) . "";
			}
			$sSqlWrk = "SELECT `hotel_id`, `hotel_name`, '' AS Disp2Fld, '' AS SelectFilterFld FROM `tbl_hotel`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				if ($sWhereWrk <> "") $sWhereWrk .= " AND ";
				$sWhereWrk .= "(" . $sFilterWrk . ")";
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = $conn->Execute($sSqlWrk);
			$arwrk = ($rswrk) ? $rswrk->GetRows() : array();
			if ($rswrk) $rswrk->Close();
			array_unshift($arwrk, array("", $Language->Phrase("PleaseSelect")));
			$tbl_allphoto->hotel_id->EditValue = $arwrk;
			}

			// tour_id
			$tbl_allphoto->tour_id->EditCustomAttributes = "";
			if ($tbl_allphoto->tour_id->getSessionValue() <> "") {
				$tbl_allphoto->tour_id->CurrentValue = $tbl_allphoto->tour_id->getSessionValue();
			if (strval($tbl_allphoto->tour_id->CurrentValue) <> "") {
				$sFilterWrk = "`tour_id` = " . ew_AdjustSql($tbl_allphoto->tour_id->CurrentValue) . "";
			$sSqlWrk = "SELECT `tour_name` FROM `tbl_tour`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				if ($sWhereWrk <> "") $sWhereWrk .= " AND ";
				$sWhereWrk .= "(" . $sFilterWrk . ")";
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
				$rswrk = $conn->Execute($sSqlWrk);
				if ($rswrk && !$rswrk->EOF) { // Lookup values found
					$tbl_allphoto->tour_id->ViewValue = $rswrk->fields('tour_name');
					$rswrk->Close();
				} else {
					$tbl_allphoto->tour_id->ViewValue = $tbl_allphoto->tour_id->CurrentValue;
				}
			} else {
				$tbl_allphoto->tour_id->ViewValue = NULL;
			}
			$tbl_allphoto->tour_id->CssStyle = "";
			$tbl_allphoto->tour_id->CssClass = "";
			$tbl_allphoto->tour_id->ViewCustomAttributes = "";
			} else {
			if (trim(strval($tbl_allphoto->tour_id->CurrentValue)) == "") {
				$sFilterWrk = "0=1";
			} else {
				$sFilterWrk = "`tour_id` = " . ew_AdjustSql($tbl_allphoto->tour_id->CurrentValue) . "";
			}
			$sSqlWrk = "SELECT `tour_id`, `tour_name`, '' AS Disp2Fld, '' AS SelectFilterFld FROM `tbl_tour`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				if ($sWhereWrk <> "") $sWhereWrk .= " AND ";
				$sWhereWrk .= "(" . $sFilterWrk . ")";
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = $conn->Execute($sSqlWrk);
			$arwrk = ($rswrk) ? $rswrk->GetRows() : array();
			if ($rswrk) $rswrk->Close();
			array_unshift($arwrk, array("", $Language->Phrase("PleaseSelect")));
			$tbl_allphoto->tour_id->EditValue = $arwrk;
			}

			// travel_id
			$tbl_allphoto->travel_id->EditCustomAttributes = "";
			if (trim(strval($tbl_allphoto->travel_id->CurrentValue)) == "") {
				$sFilterWrk = "0=1";
			} else {
				$sFilterWrk = "`travel_id` = " . ew_AdjustSql($tbl_allphoto->travel_id->CurrentValue) . "";
			}
			$sSqlWrk = "SELECT `travel_id`, `category`, '' AS Disp2Fld, '' AS SelectFilterFld FROM `tbl_travel`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				if ($sWhereWrk <> "") $sWhereWrk .= " AND ";
				$sWhereWrk .= "(" . $sFilterWrk . ")";
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = $conn->Execute($sSqlWrk);
			$arwrk = ($rswrk) ? $rswrk->GetRows() : array();
			if ($rswrk) $rswrk->Close();
			array_unshift($arwrk, array("", $Language->Phrase("PleaseSelect")));
			$tbl_allphoto->travel_id->EditValue = $arwrk;

			// photo
			$tbl_allphoto->photo->EditCustomAttributes = "";
			$tbl_allphoto->photo->EditValue = ew_HtmlEncode($tbl_allphoto->photo->CurrentValue);

			// photo_thum
			$tbl_allphoto->photo_thum->EditCustomAttributes = "";
			$tbl_allphoto->photo_thum->EditValue = ew_HtmlEncode($tbl_allphoto->photo_thum->CurrentValue);

			// order_by
			$tbl_allphoto->order_by->EditCustomAttributes = "";
			$tbl_allphoto->order_by->EditValue = ew_HtmlEncode($tbl_allphoto->order_by->CurrentValue);
		}

		// Call Row Rendered event
		if ($tbl_allphoto->RowType <> EW_ROWTYPE_AGGREGATEINIT)
			$tbl_allphoto->Row_Rendered();
	}

	// Validate form
	function ValidateForm() {
		global $Language, $gsFormError, $tbl_allphoto;

		// Initialize form error message
		$gsFormError = "";

		// Check if validation required
		if (!EW_SERVER_VALIDATE)
			return ($gsFormError == "");
		if (!is_null($tbl_allphoto->hotel_id->FormValue) && $tbl_allphoto->hotel_id->FormValue == "") {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= $Language->Phrase("EnterRequiredField") . " - " . $tbl_allphoto->hotel_id->FldCaption();
		}
		if (!is_null($tbl_allphoto->tour_id->FormValue) && $tbl_allphoto->tour_id->FormValue == "") {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= $Language->Phrase("EnterRequiredField") . " - " . $tbl_allphoto->tour_id->FldCaption();
		}
		if (!is_null($tbl_allphoto->travel_id->FormValue) && $tbl_allphoto->travel_id->FormValue == "") {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= $Language->Phrase("EnterRequiredField") . " - " . $tbl_allphoto->travel_id->FldCaption();
		}
		if (!is_null($tbl_allphoto->photo->FormValue) && $tbl_allphoto->photo->FormValue == "") {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= $Language->Phrase("EnterRequiredField") . " - " . $tbl_allphoto->photo->FldCaption();
		}
		if (!is_null($tbl_allphoto->photo_thum->FormValue) && $tbl_allphoto->photo_thum->FormValue == "") {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= $Language->Phrase("EnterRequiredField") . " - " . $tbl_allphoto->photo_thum->FldCaption();
		}
		if (!is_null($tbl_allphoto->order_by->FormValue) && $tbl_allphoto->order_by->FormValue == "") {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= $Language->Phrase("EnterRequiredField") . " - " . $tbl_allphoto->order_by->FldCaption();
		}
		if (!ew_CheckInteger($tbl_allphoto->order_by->FormValue)) {
			if ($gsFormError <> "") $gsFormError .= "<br>";
			$gsFormError .= $tbl_allphoto->order_by->FldErrMsg();
		}

		// Return validate result
		$ValidateForm = ($gsFormError == "");

		// Call Form_CustomValidate event
		$sFormCustomError = "";
		$ValidateForm = $ValidateForm && $this->Form_CustomValidate($sFormCustomError);
		if ($sFormCustomError <> "") {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= $sFormCustomError;
		}
		return $ValidateForm;
	}

	// Add record
	function AddRow() {
		global $conn, $Language, $Security, $tbl_allphoto;
		$rsnew = array();

		// hotel_id
		$tbl_allphoto->hotel_id->SetDbValueDef($rsnew, $tbl_allphoto->hotel_id->CurrentValue, 0, FALSE);

		// tour_id
		$tbl_allphoto->tour_id->SetDbValueDef($rsnew, $tbl_allphoto->tour_id->CurrentValue, 0, FALSE);

		// travel_id
		$tbl_allphoto->travel_id->SetDbValueDef($rsnew, $tbl_allphoto->travel_id->CurrentValue, 0, FALSE);

		// photo
		$tbl_allphoto->photo->SetDbValueDef($rsnew, $tbl_allphoto->photo->CurrentValue, "", FALSE);

		// photo_thum
		$tbl_allphoto->photo_thum->SetDbValueDef($rsnew, $tbl_allphoto->photo_thum->CurrentValue, "", FALSE);

		// order_by
		$tbl_allphoto->order_by->SetDbValueDef($rsnew, $tbl_allphoto->order_by->CurrentValue, 0, FALSE);

		// Call Row Inserting event
		$bInsertRow = $tbl_allphoto->Row_Inserting($rsnew);
		if ($bInsertRow) {
			$conn->raiseErrorFn = 'ew_ErrorFn';
			$AddRow = $conn->Execute($tbl_allphoto->InsertSQL($rsnew));
			$conn->raiseErrorFn = '';
		} else {
			if ($tbl_allphoto->CancelMessage <> "") {
				$this->setMessage($tbl_allphoto->CancelMessage);
				$tbl_allphoto->CancelMessage = "";
			} else {
				$this->setMessage($Language->Phrase("InsertCancelled"));
			}
			$AddRow = FALSE;
		}
		if ($AddRow) {
			$tbl_allphoto->all_id->setDbValue($conn->Insert_ID());
			$rsnew['all_id'] = $tbl_allphoto->all_id->DbValue;

			// Call Row Inserted event
			$tbl_allphoto->Row_Inserted($rsnew);
		}
		return $AddRow;
	}

	// Set up master/detail based on QueryString
	function SetUpMasterDetail() {
		global $tbl_allphoto;
		$bValidMaster = FALSE;

		// Get the keys for master table
		if (@$_GET[EW_TABLE_SHOW_MASTER] <> "") {
			$sMasterTblVar = $_GET[EW_TABLE_SHOW_MASTER];
			if ($sMasterTblVar == "") {
				$bValidMaster = TRUE;
				$this->sDbMasterFilter = "";
				$this->sDbDetailFilter = "";
			}
			if ($sMasterTblVar == "tbl_hotel") {
				$bValidMaster = TRUE;
				$this->sDbMasterFilter = $tbl_allphoto->SqlMasterFilter_tbl_hotel();
				$this->sDbDetailFilter = $tbl_allphoto->SqlDetailFilter_tbl_hotel();
				if (@$_GET["hotel_id"] <> "") {
					$GLOBALS["tbl_hotel"]->hotel_id->setQueryStringValue($_GET["hotel_id"]);
					$tbl_allphoto->hotel_id->setQueryStringValue($GLOBALS["tbl_hotel"]->hotel_id->QueryStringValue);
					$tbl_allphoto->hotel_id->setSessionValue($tbl_allphoto->hotel_id->QueryStringValue);
					if (!is_numeric($GLOBALS["tbl_hotel"]->hotel_id->QueryStringValue)) $bValidMaster = FALSE;
					$this->sDbMasterFilter = str_replace("@hotel_id@", ew_AdjustSql($GLOBALS["tbl_hotel"]->hotel_id->QueryStringValue), $this->sDbMasterFilter);
					$this->sDbDetailFilter = str_replace("@hotel_id@", ew_AdjustSql($GLOBALS["tbl_hotel"]->hotel_id->QueryStringValue), $this->sDbDetailFilter);
				} else {
					$bValidMaster = FALSE;
				}
			}
			if ($sMasterTblVar == "tbl_tour") {
				$bValidMaster = TRUE;
				$this->sDbMasterFilter = $tbl_allphoto->SqlMasterFilter_tbl_tour();
				$this->sDbDetailFilter = $tbl_allphoto->SqlDetailFilter_tbl_tour();
				if (@$_GET["tour_id"] <> "") {
					$GLOBALS["tbl_tour"]->tour_id->setQueryStringValue($_GET["tour_id"]);
					$tbl_allphoto->tour_id->setQueryStringValue($GLOBALS["tbl_tour"]->tour_id->QueryStringValue);
					$tbl_allphoto->tour_id->setSessionValue($tbl_allphoto->tour_id->QueryStringValue);
					if (!is_numeric($GLOBALS["tbl_tour"]->tour_id->QueryStringValue)) $bValidMaster = FALSE;
					$this->sDbMasterFilter = str_replace("@tour_id@", ew_AdjustSql($GLOBALS["tbl_tour"]->tour_id->QueryStringValue), $this->sDbMasterFilter);
					$this->sDbDetailFilter = str_replace("@tour_id@", ew_AdjustSql($GLOBALS["tbl_tour"]->tour_id->QueryStringValue), $this->sDbDetailFilter);
				} else {
					$bValidMaster = FALSE;
				}
			}
			if ($sMasterTblVar == "tbl_travel") {
				$bValidMaster = TRUE;
				$this->sDbMasterFilter = $tbl_allphoto->SqlMasterFilter_tbl_travel();
				$this->sDbDetailFilter = $tbl_allphoto->SqlDetailFilter_tbl_travel();
				if (@$_GET["travel_id"] <> "") {
					$GLOBALS["tbl_travel"]->travel_id->setQueryStringValue($_GET["travel_id"]);
					$tbl_allphoto->tour_id->setQueryStringValue($GLOBALS["tbl_travel"]->travel_id->QueryStringValue);
					$tbl_allphoto->tour_id->setSessionValue($tbl_allphoto->tour_id->QueryStringValue);
					if (!is_numeric($GLOBALS["tbl_travel"]->travel_id->QueryStringValue)) $bValidMaster = FALSE;
					$this->sDbMasterFilter = str_replace("@travel_id@", ew_AdjustSql($GLOBALS["tbl_travel"]->travel_id->QueryStringValue), $this->sDbMasterFilter);
					$this->sDbDetailFilter = str_replace("@tour_id@", ew_AdjustSql($GLOBALS["tbl_travel"]->travel_id->QueryStringValue), $this->sDbDetailFilter);
				} else {
					$bValidMaster = FALSE;
				}
			}
		}
		if ($bValidMaster) {

			// Save current master table
			$tbl_allphoto->setCurrentMasterTable($sMasterTblVar);

			// Reset start record counter (new master key)
			$this->lStartRec = 1;
			$tbl_allphoto->setStartRecordNumber($this->lStartRec);
			$tbl_allphoto->setMasterFilter($this->sDbMasterFilter); // Set up master filter
			$tbl_allphoto->setDetailFilter($this->sDbDetailFilter); // Set up detail filter

			// Clear previous master key from Session
			if ($sMasterTblVar <> "tbl_hotel") {
				if ($tbl_allphoto->hotel_id->QueryStringValue == "") $tbl_allphoto->hotel_id->setSessionValue("");
			}
			if ($sMasterTblVar <> "tbl_tour") {
				if ($tbl_allphoto->tour_id->QueryStringValue == "") $tbl_allphoto->tour_id->setSessionValue("");
			}
			if ($sMasterTblVar <> "tbl_travel") {
				if ($tbl_allphoto->tour_id->QueryStringValue == "") $tbl_allphoto->tour_id->setSessionValue("");
			}
		} else {
			$this->sDbMasterFilter = $tbl_allphoto->getMasterFilter(); //  Restore master filter
			$this->sDbDetailFilter = $tbl_allphoto->getDetailFilter(); // Restore detail filter
		}
	}

	// Page Load event
	function Page_Load() {

		//echo "Page Load";
	}

	// Page Unload event
	function Page_Unload() {

		//echo "Page Unload";
	}

	// Page Redirecting event
	function Page_Redirecting(&$url) {

		// Example:
		//$url = "your URL";

	}

	// Message Showing event
	function Message_Showing(&$msg) {

		// Example:
		//$msg = "your new message";

	}

	// Form Custom Validate event
	function Form_CustomValidate(&$CustomError) {

		// Return error message in CustomError
		return TRUE;
	}
}
?>
